Rebuild links
curl --request POST \
--url https://api.datalinks.com/api/v1/links/{username}/{namespace}/{datasetName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"name": "Braveheart",
"year": "1995",
"budget": "72000000",
"director": "Mel Gibson"
},
{
"name": "Argo",
"year": "2012",
"budget": "44500000",
"director": "Ben Affleck"
}
],
"link": {
"ExactMatch": null,
"GeoMatch": null
}
}
'import requests
url = "https://api.datalinks.com/api/v1/links/{username}/{namespace}/{datasetName}"
payload = {
"data": [
{
"name": "Braveheart",
"year": "1995",
"budget": "72000000",
"director": "Mel Gibson"
},
{
"name": "Argo",
"year": "2012",
"budget": "44500000",
"director": "Ben Affleck"
}
],
"link": {
"ExactMatch": None,
"GeoMatch": None
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{name: 'Braveheart', year: '1995', budget: '72000000', director: 'Mel Gibson'},
{name: 'Argo', year: '2012', budget: '44500000', director: 'Ben Affleck'}
],
link: {ExactMatch: null, GeoMatch: null}
})
};
fetch('https://api.datalinks.com/api/v1/links/{username}/{namespace}/{datasetName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"destination": "ri.user.examples.actor.name",
"hits": 6,
"matchType": "ExactMatch",
"origin": "ri.user.examples.movies.director"
}
]{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}links
Rebuild links
Recalculate links for a specified dataset.
POST
/
links
/
{username}
/
{namespace}
/
{datasetName}
Rebuild links
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Path Parameters
Namespace for the dataset.
Name of the dataset.
The username associated with the request.
Body
application/json
⌘I